<template>
  <div>
    <meta name="viewport" content="width=device-width,initial scale=" />
    <link rel="stylesheet" href="https://www.w3schools.com/lib/w3.css" />
    <v-app id="inspire" v-if="admin">
      <v-content>
        <v-container fluid fill-height>
          <v-layout align-center justify-center>
            <v-flex xs12 sm8 md4>
              <v-card class="elevation-12">
                <v-toolbar dark color="primary">
                  <v-toolbar-title>Admin Login</v-toolbar-title>
                </v-toolbar>
                <v-card-text>
                  <v-form>
                    <v-text-field
                      name="login"
                      label="Email"
                      type="text"
                      v-model="username"
                    ></v-text-field>
                    <v-text-field
                      id="password"
                      name="password"
                      label="Password"
                      type="password"
                      v-model="passcode"
                      @keyup.enter="login"
                    ></v-text-field>
                  </v-form>
                </v-card-text>
                <v-card-actions>
                  <v-spacer></v-spacer>
                  <v-btn color="primary" @click="login">Login</v-btn>
                </v-card-actions>
              </v-card>
              <p v-if="usernameAlert" class="alertuser">
                Username or Password incorrect !!!
              </p>
              <p class="alertuser" v-if="passalert">
                Password incorrect !!!
              </p>
            </v-flex>
          </v-layout>
        </v-container>
      </v-content>
    </v-app>
    <!-- <div v-if="content" >

      <NewData v-for="(user,i) in docss" :key="i" :tableHeder='user.id' :tabelContent='user.order'/>
    </div> -->
  </div>
</template>

<script>
// import DATABASE from "../components/Database";
import firebase from "firebase";

export default {
  name: "Login",
  props: {
    source: String,
  },
  data() {
    return {
      admin: true,
      content: false,
      username: "",
      passcode: "",
      usernameAlert: false,
      passalert: false,
    };
  },
  methods: {
    // login() {
    // if (this.username === "mithun") {
    //   if (this.passcode === "mithunraj") {
    //     // this.admin = false;
    //     // this.content = true;
    //     // this.$store.state.dbView = true;
    //     this.$router.push({ path: "/Crackers14121998_BackendBb" });
    //   } else {
    //     this.passalert = true;
    //   }
    // } else {
    //   this.usernameAlert = true;
    // }
    // },
    login() {
      firebase
        .auth()
        .signInWithEmailAndPassword(this.username, this.passcode)
        .then((user) => {
          console.log(user.data);
          this.$router.replace("/Crackers14121998_BackendBb");
        })
        .catch((err) => {
          alert(err.message);
        });
    },
  },
};
</script>

<style>
.alertuser {
  color: tomato;
}
</style>
